Bug 1306971 - (php-mock/php-mock-integration) Review Request: php-mock-integration - Integration package for PHP-Mock
Review Request: php-mock-integration - Integration package for PHP-Mock
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: php-mock/php-mock
Blocks: php-mock/php-mock-phpunit
  Show dependency treegraph
 
Reported: 2016-02-12 05:20 EST by Remi Collet
Modified: 2016-03-26 14:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-20 21:51:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (2.58 KB, text/plain)
2016-03-11 07:40 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (1.90 KB, text/plain)
2016-03-11 07:41 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.30 KB, text/plain)
2016-03-11 07:41 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-02-12 05:20:41 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/ac5d523a449db7984c32d7309792fbb1116fb431/php/php-mock/php-mock-integration/php-mock-integration.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-mock-integration-1.0.0-1.remi.src.rpm
Description: 
This is a support package for PHP-Mock integration into other frameworks.

Fedora Account System Username: remi
Comment 2 Shawn Iwinski 2016-03-11 07:40 EST
Created attachment 1135219 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built Feb 09 2016 11:36:16 CET
Comment 3 Shawn Iwinski 2016-03-11 07:41 EST
Created attachment 1135220 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built Feb 09 2016 11:36:16 CET
Comment 4 Shawn Iwinski 2016-03-11 07:41 EST
Created attachment 1135221 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1306971
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Shawn Iwinski 2016-03-11 07:42:21 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



No blockers.

==== APPROVED =====
Comment 6 Gwyn Ciesla 2016-03-11 11:17:58 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-mock-integration
Comment 7 Fedora Update System 2016-03-12 01:32:06 EST
php-mock-integration-1.0.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9a7cbbaa6d
Comment 8 Fedora Update System 2016-03-12 01:32:13 EST
php-mock-integration-1.0.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a249b4a47
Comment 9 Fedora Update System 2016-03-12 02:49:35 EST
php-mock-integration-1.0.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9a7cbbaa6d
Comment 10 Fedora Update System 2016-03-12 12:24:40 EST
php-mock-integration-1.0.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a249b4a47
Comment 11 Fedora Update System 2016-03-20 21:51:35 EDT
php-mock-integration-1.0.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-03-26 14:11:23 EDT
php-mock-integration-1.0.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.